Bug 688991 - etckeeper should not report on hard linked files in ignore list when using HG
Summary: etckeeper should not report on hard linked files in ignore list when using HG
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: etckeeper
Version: 14
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Thomas Moschny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-18 18:15 UTC by Sjoerd Mullender
Modified: 2011-04-18 04:08 UTC (History)
1 user (show)

Fixed In Version: etckeeper-0.53-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-17 19:18:28 UTC


Attachments (Terms of Use)
fix for reported problem (1012 bytes, patch)
2011-03-18 18:15 UTC, Sjoerd Mullender
no flags Details | Diff

Description Sjoerd Mullender 2011-03-18 18:15:04 UTC
Created attachment 486297 [details]
fix for reported problem

Description of problem:
I use etckeeper with Mercurial instead of git.  Each time etckeeper runs it gives the message
etckeeper warning: hardlinked files could cause problems with hg:
with a list of files.  While this may be true, it is annoying to see the list everytime when each and every file in the list is being ignored by Mercurial.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.configure etckeeper to use mercurial
2.run yum update
3.
  
Actual results:
etckeeper warning: hardlinked files could cause problems with hg:
+ a list of files which are actually ignored.

Expected results:
Only warning about files that are *not* ignored (like what happens when you use git for etckeeper).

Additional info:
A minimal fix is attached.

Comment 1 Fedora Update System 2011-04-01 08:41:35 UTC
etckeeper-0.53-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/etckeeper-0.53-1.el5

Comment 2 Fedora Update System 2011-04-01 08:41:47 UTC
etckeeper-0.53-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/etckeeper-0.53-1.fc15

Comment 3 Fedora Update System 2011-04-01 08:41:59 UTC
etckeeper-0.53-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/etckeeper-0.53-1.el6

Comment 4 Fedora Update System 2011-04-01 08:42:10 UTC
etckeeper-0.53-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/etckeeper-0.53-1.fc14

Comment 5 Fedora Update System 2011-04-01 08:42:23 UTC
etckeeper-0.53-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/etckeeper-0.53-1.fc13

Comment 6 Fedora Update System 2011-04-01 16:27:19 UTC
Package etckeeper-0.53-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing etckeeper-0.53-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/etckeeper-0.53-1.el6
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2011-04-17 19:18:19 UTC
etckeeper-0.53-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-04-17 19:19:01 UTC
etckeeper-0.53-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-04-17 21:21:48 UTC
etckeeper-0.53-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-04-17 21:24:44 UTC
etckeeper-0.53-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-04-18 04:08:25 UTC
etckeeper-0.53-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.